=== debian/control ===
Source: ltunify
Section: utils
Priority: optional
Maintainer: Anthony Perkins <anthony@acperkins.com>
Uploaders: Geert Stappers <stappers@debian.org>
Build-Depends: debhelper (>=13~)
Standards-Version: 4.5.0
Homepage: https://lekensteyn.nl/logitech-unifying.html
Vcs-Browser: https://salsa.debian.org/acp/ltunify
Vcs-Git: https://salsa.debian.org/acp/ltunify.git

Package: ltunify
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: manage Logitech unifying receivers
 Pair and manage Logitech devices that use the unifying receiver.
