=== debian/watch ===
version=3
https://git.lekensteyn.nl/ltunify/ /ltunify/snapshot/ltunify-(.+)\.tar\.gz
